<template>
  <single-privacy-content
    :keys="{ title: 'footer_menu_info_1', content: 'menu_content_1_1' }"
    class="help-center-page"
  />
</template>

<script lang="ts">
import _ from "lodash";
import { defineComponent, computed, ref, watch } from "vue";
import { useRoute } from "vue-router";
import { store } from "@/store";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";

export default defineComponent({
  setup() {
    const isMobile = !useIsDesktop();
    const selectedThemeName = computed(() => store.state.selectedThemeName);
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const headerTitle = computed(
      (): Array<IThemePropertiesFromApi> =>
        themePropertyHelper.getMultipleThemesProperties(
          themeProperties.value,
          "footer_menu_info_"
        )
    );
    const route = useRoute();
    const isAboutUsPage = ref(true);
    const routeName = ref("");
    const checkRote = () => {
      if (route.fullPath === "/about-us") {
        isAboutUsPage.value = true;
      } else {
        routeName.value = _.replace(
          route.fullPath.slice(10).replace("-", "_").toLowerCase(),
          "-",
          "_"
        );
        isAboutUsPage.value = false;
      }
    };
    checkRote();
    watch(
      () => route.fullPath,
      () => {
        checkRote();
      }
    );
    return {
      headerTitle,
      isAboutUsPage,
      routeName,
      selectedThemeName,
      isMobile,
    };
  },
});
</script>

<style>
.about-us h2 {
  font-size: 14px;
  font-weight: bold;
  line-height: 16px;
}
.about-us {
  height: 52px;
}
.bg-about-us {
  background-color: #0b0e30;
}
</style>
<style scoped>
.page-content {
  line-height: 22px;
  text-align: justify;
  background: var(--background2);
  background-size: auto;
  background-size: 112.5rem 44.55rem;
  color: var(--text);
  font-size: 14px;
  height: calc(100vh - 52px);
}
.about-header {
  font-weight: 600;
  font-size: 30px;
  padding-bottom: 20px;
  border-bottom: 0.01rem solid var(--text);
  margin-bottom: 20px;
}
.fs_Bold {
  font-weight: 600;
  margin-bottom: 10px;
  margin-top: 30px;
  font-size: 16px;
}
.page-content p {
  margin-bottom: 10px;
}
</style>
